Перейти к содержанию
toporchillo

[Поддержка] Экспорт в Яндекс.Маркет для OpenCart 1.5.x

Рекомендуемые сообщения

В 24.10.2018 в 15:27, toporchillo сказал:

Поддержка 2 версий модуля требует много дополнительного времени. Я не хочу поддерживать старье, тем более, что это не прибыльно. А все мы работаем в основном за деньги.

А пользователи тупо охуели и требует: раз они купили 100 лет назад модуль, то автор им по гроб жизни обязан. Так делают только очень ужасные люди, не хочу выражаться.

На этом форуме таких пользователей уйма. Разве что заказчикам, которые не ждут халявы похвала.

 

 

P.S. Если акции, скидки и подарки у вас реализованы сторонними модулями, то ждать их поддержку в этом модуле просто наивно.

Кто вас просит бесплатно сделать?

 

Возьми и добавь эту функцию. Сделай ее платной (создай еще один товар) и скажи "вот так ребят, за бесплатно я не буду это делать"

Пропиши, что в будущем обновления будут платными, кому надо тот их купит.

 

А то проще сказать что пользователи "......и", вообще противно с вами общаться. 

 

Я готов заплатить еще раз такую же сумму. Даже больше. Главное чтобы это работало. 

 

Мне проще заплатить еще раз за модуль, чем переделывать сайт или обновлять то, что и так отлично работает. 

 

И то что 4 года назад вышел опенкарт 2, это не говорит "вау пошли на него, он же опенкарт 2" уже и третий вышел "вау третий"

 

Но конечно, вы не кому ничем не обязаны, но если ваш модуль не дает полный функционал, то удалите его с сайта, и не продавайте! И сразу вопросы отпадут. "Модуль больше не поддерживается и не продается". Но конечно проще его продавать (согласен, что вы с него не миллиарды получаете, да и в последнее время наверно никому не нужен), тогда уберите его нафиг. 

 

 

 

Изменено пользователем MilesPrower
  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Что-то я не понял. Модуль то вообще работает сейчас? Попытался поставить на Ocstore 1.5..5, но у меня он даже в админке не появился? Спрашивается, за что деньги берутся уважаемый @toporchillo ?

Изменено пользователем BoJIbHbl

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
35 минут назад, BoJIbHbl сказал:

Что-то я не понял. Модуль то вообще работает сейчас? Попытался поставить на Ocstore 1.5..5, но у меня он даже в админке не появился? Спрашивается, за что деньги берутся уважаемый @toporchillo ?

Все работает, как и прежде http://toporchillo.myjino.ru/ocstore/index.php?route=feed/yandex_yml

Админку смотрите на демо: http://toporchillo.myjino.ru/ocstore/admin/ (логин и пароль demo)

 

В описании модуля и файле readme.txt про установку все описано.

 

Просто кто-то любит всем советовать, как и что делать. Пусть он лучше тихонько самогонными аппаратами торгует. С ним тут ругаться - только время терять.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
20 минут назад, toporchillo сказал:

Все работает, как и прежде http://toporchillo.myjino.ru/ocstore/index.php?route=feed/yandex_yml

Админку смотрите на демо: http://toporchillo.myjino.ru/ocstore/admin/ (логин и пароль demo)

 

В описании модуля и файле readme.txt про установку все описано.

 

Просто кто-то любит всем советовать, как и что делать. Пусть он лучше тихонько самогонными аппаратами торгует. С ним тут ругаться - только время терять.

 

То что у вас работает я уже понял. Но я почему то не могу понять почему я распаковываю, а модуль тупо не отображается в админке. 

Сарказм мне Ваш непонятен насчет самогонных аппаратов. К чем это? Да и не писал я что вам делать. Если обидел, то прошу извинить меня, не со зла писал. Просто модуль по описанию меня вполне устраивает, но жаль не отображается у меня, вот и досадно мне, что не могу его использовать.

В теме ничего не нашел с чем это может быть связано. А поддержку я так понял Вы закрыли, к кому обращаться непонятно (((

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, BoJIbHbl сказал:

 

То что у вас работает я уже понял. Но я почему то не могу понять почему я распаковываю, а модуль тупо не отображается в админке. 

Сарказм мне Ваш непонятен насчет самогонных аппаратов. К чем это? Да и не писал я что вам делать. Если обидел, то прошу извинить меня, не со зла писал. Просто модуль по описанию меня вполне устраивает, но жаль не отображается у меня, вот и досадно мне, что не могу его использовать.

В теме ничего не нашел с чем это может быть связано. А поддержку я так понял Вы закрыли, к кому обращаться непонятно (((

 

Извините, если вас огорчил. Мой сарказм был адресован автору сообщения чуть выше вашего.

Обратите внимание, как вы загрузили файлы на сайт. Надо не папку upload закачать, а ее содержимое, чтобы файлы из upload/admin попали в папку admin на сайте, upload/catalog в catalog и т.д.

И настройки экспорта ищите в каналах продвижения.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 часа назад, toporchillo сказал:

Извините, если вас огорчил. Мой сарказм был адресован автору сообщения чуть выше вашего.

Обратите внимание, как вы загрузили файлы на сайт. Надо не папку upload закачать, а ее содержимое, чтобы файлы из upload/admin попали в папку admin на сайте, upload/catalog в catalog и т.д.

И настройки экспорта ищите в каналах продвижения.

Спасибо. Буду значит переделывать

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Добрый день!

Пришла ошибка при обработке файла на маркете:

 

"найдены критичные ошибки.Ошибки при разборе файла: Ошибка: Disabled CPC and CPA programs (строка 50, столбец 8)Для публикации товарных предложений сейчас используется предыдущая версия файла.Более подробное описание ошибок смотрите в разделе Ассортимент -> Отчет по индексации в личном кабинете.Раз в несколько часов Яндекс.Маркет обновляет базы данных. Если по итогам 10 обновлений критичная ошибка не будет исправлена, ваш магазин, к сожалению, будет отключён"

 

Оператор ТП Маркета сказал, что нужно удалить данный, указанные на скриншете ( во вложении).

 

Подскажите, пожалуйста, как это сделать?

 

 

 

2018-11-10_17-04-39.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
14 минут назад, adley1 сказал:

Добрый день!

Пришла ошибка при обработке файла на маркете:

 

"найдены критичные ошибки.Ошибки при разборе файла: Ошибка: Disabled CPC and CPA programs (строка 50, столбец 8)Для публикации товарных предложений сейчас используется предыдущая версия файла.Более подробное описание ошибок смотрите в разделе Ассортимент -> Отчет по индексации в личном кабинете.Раз в несколько часов Яндекс.Маркет обновляет базы данных. Если по итогам 10 обновлений критичная ошибка не будет исправлена, ваш магазин, к сожалению, будет отключён"

 

Оператор ТП Маркета сказал, что нужно удалить данный, указанные на скриншете ( во вложении).

 

Подскажите, пожалуйста, как это сделать?

 

 

 

2018-11-10_17-04-39.png

Так не ставьте галку Все товары участвуют в программе "Заказ на Маркете": И отключите все галки cpa в категориях

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
17 минут назад, toporchillo сказал:

В модуль добавлена поддержка Промоакций Яндекс.Маркета

Спасибо что не забываете про пользователей 1.5.x

На этой версии Opencart 1.5 ещё как минимум 10 лет можно сидеть:))

2 и 3 кошмар, Twig, Установка модулей с Админки для тупых и криворуких:)... только личное соприкосновение с Кодом))) 

1.5.x навсегда:))

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Привет !  У меня такая история, при выгрузке на маркет возникает такая проблема http://prntscr.com/lx3wus

Настройки в модуле: http://prntscr.com/lx3xk5

Адрес экспорта:https://shop.santegra.su/index.php?route=feed/yandex_yml

Как я понимаю не прописывается нужный тег model помогите решить проблему пожалуйста

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 03.12.2018 в 13:58, toporchillo сказал:

В модуль добавлена поддержка Промоакций Яндекс.Маркета

Спасибо. Хороший подарок к НГ. Все прекрасно понимают, что работать нужно за деньги, или кошелек для благодарности укажите, или продление пользованием модуля платным.

Изменено пользователем Sunjahman

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Скажите пожалуйста.

Модуль используется для яндекс маркета, там несколько товаров.

Можно ли формировать 2-ую yml ссылку для всех товаров что бы использовать ее в яндекс-вебмастере "Товары и цены"?

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
8 часов назад, edidik сказал:

Скажите пожалуйста.

Модуль используется для яндекс маркета, там несколько товаров.

Можно ли формировать 2-ую yml ссылку для всех товаров что бы использовать ее в яндекс-вебмастере "Товары и цены"?

 

Клоны модуля в архиве

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Подскажите пожалуйста как передать параметры

  •  Укажите в прайс-листе минимальное количество товаров, которое можно заказать. Используйте элемент <sales_notes> или элементы <min-quantity> и <step-quantity>.

Подскажите пожалуйста как прописать такие данные ? Спасибо

Изменено пользователем FIGO

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
24 минуты назад, FIGO сказал:

Подскажите пожалуйста как передать параметры

  •  Укажите в прайс-листе минимальное количество товаров, которое можно заказать. Используйте элемент <sales_notes> или элементы <min-quantity> и <step-quantity>.

Подскажите пожалуйста как прописать такие данные ? Спасибо

Раньше это было в модуле, но потом Яндекс стал ругаться на эти тэги, если товары не в категории:

пришлось убрать.

В файле catalog/controller/feed/yandex_yml.php раскомментируйте строки

			if ($product['minimum'] > 1) {
                $data['min-quantity'] = $product['minimum'];
                $data['step-quantity'] = $product['minimum'];
			}

и в этой строке раскомментируйте

		$allowed_tags = array('url'=>0, 'buyurl'=>0, 'price'=>1, 'oldprice'=>0, 'wprice'=>0, 'currencyId'=>1, 'xCategory'=>0, 'categoryId'=>1, 'picture'=>0, 'store'=>0, 'pickup'=>0, 'delivery'=>0, 'deliveryIncluded'=>0, 'local_delivery_cost'=>0, 'orderingTime'=>0, /* 'min-quantity'=>0, 'step-quantity'=>0,*/ 'stock_quantity'=>0, 'quantity_in_stock'=>0);

значения берутся из поля товара "Минимальное количество"

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
8 часов назад, toporchillo сказал:

Раньше это было в модуле, но потом Яндекс стал ругаться на эти тэги, если товары не в категории:

пришлось убрать.

В файле catalog/controller/feed/yandex_yml.php раскомментируйте строки


			if ($product['minimum'] > 1) {
                $data['min-quantity'] = $product['minimum'];
                $data['step-quantity'] = $product['minimum'];
			}

и в этой строке раскомментируйте


		$allowed_tags = array('url'=>0, 'buyurl'=>0, 'price'=>1, 'oldprice'=>0, 'wprice'=>0, 'currencyId'=>1, 'xCategory'=>0, 'categoryId'=>1, 'picture'=>0, 'store'=>0, 'pickup'=>0, 'delivery'=>0, 'deliveryIncluded'=>0, 'local_delivery_cost'=>0, 'orderingTime'=>0, /* 'min-quantity'=>0, 'step-quantity'=>0,*/ 'stock_quantity'=>0, 'quantity_in_stock'=>0);

значения берутся из поля товара "Минимальное количество"

Спасибо большое помогло

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.